# dwmclock settings

# enable battery charge display
CFLAGS+=-DBATTERY

# set this to the correct path for your current system
CFLAGS+=-DENERGY_FULL=\"/sys/class/power_supply/BAT0/energy_full\"
CFLAGS+=-DENERGY_NOW=\"/sys/class/power_supply/BAT0/energy_now\"

# possible alternative on some systems
#CFLAGS+=-DENERGY_FULL=\"/sys/class/power_supply/BAT0/charge_full\"
#CFLAGS+=-DENERGY_NOW=\"/sys/class/power_supply/BAT0/charge_now\"

# every how many seconds to refresh the battery charge display
CFLAGS+=-DBAT_REFRESH_SECONDS=60

# this is here for legacy reasons, ignore it
CFLAGS+=-DMUL=1


# make settings

# default compiler
CC?=gcc

# compiler flags
CFLAGS+=-std=c99 -Wall -Wextra -pedantic -O2 $(shell pkg-config --cflags x11)
LDFLAGS+=$(shell pkg-config --libs x11)

# default paths
DESTDIR?=/
PREFIX?=/usr/local
